
# (C) 2001-2013 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and 
# other software and tools, and its AMPP partner logic functions, and 
# any output files any of the foregoing (including device programming 
# or simulation files), and any associated documentation or information 
# are expressly subject to the terms and conditions of the Altera 
# Program License Subscription Agreement, Altera MegaCore Function 
# License Agreement, or other applicable license agreement, including, 
# without limitation, that your use is for the sole purpose of 
# programming logic devices manufactured by Altera and sold by Altera 
# or its authorized distributors. Please refer to the applicable 
# agreement for further details.

# ACDS 13.0 156 win32 2013.05.31.10:48:49

# ----------------------------------------
# Auto-generated simulation script

# ----------------------------------------
# Initialize the variable
if ![info exists SYSTEM_INSTANCE_NAME] { 
  set SYSTEM_INSTANCE_NAME ""
} elseif { ![ string match "" $SYSTEM_INSTANCE_NAME ] } { 
  set SYSTEM_INSTANCE_NAME "/$SYSTEM_INSTANCE_NAME"
} 

if ![info exists TOP_LEVEL_NAME] { 
  set TOP_LEVEL_NAME "a"
} 

if ![info exists QSYS_SIMDIR] { 
  set QSYS_SIMDIR "./"
} 

if ![info exists QUARTUS_INSTALL_DIR] { 
  set QUARTUS_INSTALL_DIR "C:/altera/15.0/quartus"
} 

## Set your test bench name here
##set tb_name <test bench>
set tb_name "a_tb"
if {$tb_name == ""} {
	echo "Missing test bench name: $tb_name"
}

# ----------------------------------------
# Copy ROM/RAM files to simulation directory
alias file_copy {
  echo "\[exec\] file_copy"
}

# ----------------------------------------
# Create compilation libraries
proc ensure_lib { lib } { if ![file isdirectory $lib] { vlib $lib } }

ensure_lib          "$QSYS_SIMDIR/libraries"
ensure_lib          "$QSYS_SIMDIR/libraries/work/"
vmap       work     "$QSYS_SIMDIR/libraries/work/"

if { ![ string match "*ModelSim ALTERA*" [ vsim -version ] ] } {
  ensure_lib                     ./libraries/altera_ver/         
  vmap       altera_ver          ./libraries/altera_ver/         
  ensure_lib                     ./libraries/lpm_ver/            
  vmap       lpm_ver             ./libraries/lpm_ver/            
  ensure_lib                     ./libraries/sgate_ver/          
  vmap       sgate_ver           ./libraries/sgate_ver/          
  ensure_lib                     ./libraries/altera_mf_ver/      
  vmap       altera_mf_ver       ./libraries/altera_mf_ver/      
  ensure_lib                     ./libraries/altera_lnsim_ver/   
  vmap       altera_lnsim_ver    ./libraries/altera_lnsim_ver/   
  ensure_lib                     ./libraries/arriav_ver/         
  vmap       arriav_ver          ./libraries/arriav_ver/         
  ensure_lib                     ./libraries/arriav_hssi_ver/    
  vmap       arriav_hssi_ver     ./libraries/arriav_hssi_ver/    
  ensure_lib                     ./libraries/arriav_pcie_hip_ver/
  vmap       arriav_pcie_hip_ver ./libraries/arriav_pcie_hip_ver/
}


# ----------------------------------------
# Compile device library files
ensure_lib           "$QSYS_SIMDIR/libraries/native0"
vmap       native0 "$QSYS_SIMDIR/libraries/native0"

alias dev_com {
  echo "\[exec\] dev_com"
  if { ![ string match "*ModelSim ALTERA*" [ vsim -version ] ] } {
    vlog     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives.v"                   -work altera_ver         
    vlog     "$QUARTUS_INSTALL_DIR/eda/sim_lib/220model.v"                            -work lpm_ver            
    vlog     "$QUARTUS_INSTALL_DIR/eda/sim_lib/sgate.v"                               -work sgate_ver          
    vlog     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf.v"                           -work altera_mf_ver      
    vlog -sv "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_lnsim.sv"                       -work altera_lnsim_ver   
    vlog     "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/arriav_atoms_ncrypt.v"          -work arriav_ver         
    vlog     "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/arriav_hmi_atoms_ncrypt.v"      -work arriav_ver         
    vlog     "$QUARTUS_INSTALL_DIR/eda/sim_lib/arriav_atoms.v"                        -work arriav_ver         
    vlog     "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/arriav_hssi_atoms_ncrypt.v"     -work arriav_hssi_ver    
    vlog     "$QUARTUS_INSTALL_DIR/eda/sim_lib/arriav_hssi_atoms.v"                   -work arriav_hssi_ver    
    vlog     "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/arriav_pcie_hip_atoms_ncrypt.v" -work arriav_pcie_hip_ver
    vlog     "$QUARTUS_INSTALL_DIR/eda/sim_lib/arriav_pcie_hip_atoms.v"               -work arriav_pcie_hip_ver
  }
}

# ----------------------------------------
# Compile the design files in correct order
ensure_lib             "$QSYS_SIMDIR/libraries/cv_reconfig"
vmap       cv_reconfig "$QSYS_SIMDIR/libraries/cv_reconfig"

alias com {
  echo "\[exec\] com"
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/altera_xcvr_functions.sv"                       -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/altera_xcvr_functions.sv"                -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/sv_reconfig_bundle_to_xcvr.sv"                  -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/sv_reconfig_bundle_to_ip.sv"                    -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/sv_reconfig_bundle_merger.sv"                   -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/sv_reconfig_bundle_to_xcvr.sv"           -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/sv_reconfig_bundle_to_ip.sv"             -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/sv_reconfig_bundle_merger.sv"            -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_xcvr_h.sv"                                   -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_xcvr_avmm_csr.sv"                            -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_tx_pma_ch.sv"                                -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_tx_pma.sv"                                   -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_rx_pma.sv"                                   -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_pma.sv"                                      -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_pcs_ch.sv"                                   -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_pcs.sv"                                      -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_xcvr_avmm.sv"                                -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_xcvr_native.sv"                              -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_xcvr_plls.sv"                                -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_xcvr_data_adapter.sv"                        -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_reconfig_bundle_to_basic.sv"                 -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_reconfig_bundle_to_xcvr.sv"                  -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_xcvr_h.sv"                            -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_xcvr_avmm_csr.sv"                     -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_tx_pma_ch.sv"                         -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_tx_pma.sv"                            -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_rx_pma.sv"                            -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_pma.sv"                               -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_pcs_ch.sv"                            -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_pcs.sv"                               -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_xcvr_avmm.sv"                         -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_xcvr_native.sv"                       -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_xcvr_plls.sv"                         -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_xcvr_data_adapter.sv"                 -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_reconfig_bundle_to_basic.sv"          -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_reconfig_bundle_to_xcvr.sv"           -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_hssi_8g_rx_pcs_rbc.sv"                       -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_hssi_8g_tx_pcs_rbc.sv"                       -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_hssi_common_pcs_pma_interface_rbc.sv"        -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_hssi_common_pld_pcs_interface_rbc.sv"        -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_hssi_pipe_gen1_2_rbc.sv"                     -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_hssi_rx_pcs_pma_interface_rbc.sv"            -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_hssi_rx_pld_pcs_interface_rbc.sv"            -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_hssi_tx_pcs_pma_interface_rbc.sv"            -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/av_hssi_tx_pld_pcs_interface_rbc.sv"            -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_hssi_8g_rx_pcs_rbc.sv"                -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_hssi_8g_tx_pcs_rbc.sv"                -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_hssi_common_pcs_pma_interface_rbc.sv" -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_hssi_common_pld_pcs_interface_rbc.sv" -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_hssi_pipe_gen1_2_rbc.sv"              -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_hssi_rx_pcs_pma_interface_rbc.sv"     -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_hssi_rx_pld_pcs_interface_rbc.sv"     -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_hssi_tx_pcs_pma_interface_rbc.sv"     -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/av_hssi_tx_pld_pcs_interface_rbc.sv"     -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/alt_reset_ctrl_lego.sv"                         -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/alt_reset_ctrl_tgx_cdrauto.sv"                  -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/alt_xcvr_resync.sv"                             -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/alt_reset_ctrl_lego.sv"                  -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/alt_reset_ctrl_tgx_cdrauto.sv"           -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/alt_xcvr_resync.sv"                      -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/alt_xcvr_csr_common_h.sv"                       -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/alt_xcvr_csr_common.sv"                         -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/alt_xcvr_csr_pcs8g_h.sv"                        -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/alt_xcvr_csr_pcs8g.sv"                          -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/alt_xcvr_csr_selector.sv"                       -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/alt_xcvr_mgmt2dec.sv"                           -work native0
  eval  vlog      "$QSYS_SIMDIR/altera_xcvr_native_cv/altera_wait_generate.v"                         -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/alt_xcvr_csr_common_h.sv"                -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/alt_xcvr_csr_common.sv"                  -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/alt_xcvr_csr_pcs8g_h.sv"                 -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/alt_xcvr_csr_pcs8g.sv"                   -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/alt_xcvr_csr_selector.sv"                -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/alt_xcvr_mgmt2dec.sv"                    -work native0
  eval  vlog      "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/altera_wait_generate.v"                  -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/altera_xcvr_native_av_functions_h.sv"           -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/altera_xcvr_native_av.sv"                       -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/altera_xcvr_data_adapter_av.sv"                 -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/altera_xcvr_native_av_functions_h.sv"    -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/altera_xcvr_native_av.sv"                -work native0
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_native_cv/mentor/altera_xcvr_data_adapter_av.sv"          -work native0     

#######################################
  # Compile reconfig controller simulation files

  puts "Start to compile reconfig files"

  echo "\[exec\] com"
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/altera_xcvr_functions.sv"                           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/altera_xcvr_functions.sv"                    -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xcvr_h.sv"                                       -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xcvr_h.sv"                                -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_resync.sv"                                 -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_resync.sv"                          -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_h.sv"                             -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_h.sv"                      -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig.sv"                               -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig.sv"                        -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cal_seq.sv"                       -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_cal_seq.sv"                -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xreconf_cif.sv"                                 -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xreconf_cif.sv"                          -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xreconf_uif.sv"                                 -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xreconf_uif.sv"                          -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xreconf_basic_acq.sv"                           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xreconf_basic_acq.sv"                    -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_analog.sv"                        -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_analog.sv"                 -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_analog_av.sv"                     -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_analog_av.sv"              -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xreconf_analog_datactrl_av.sv"                  -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xreconf_analog_datactrl_av.sv"           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xreconf_analog_rmw_av.sv"                       -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xreconf_analog_rmw_av.sv"                -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xreconf_analog_ctrlsm.sv"                       -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xreconf_analog_ctrlsm.sv"                -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_offset_cancellation.sv"           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_offset_cancellation.sv"    -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_offset_cancellation_av.sv"        -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_offset_cancellation_av.sv" -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_eyemon.sv"                        -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_eyemon.sv"                 -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_dfe.sv"                           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_dfe.sv"                    -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_adce.sv"                          -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_adce.sv"                   -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_dcd.sv"                           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_dcd.sv"                    -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_dcd_av.sv"                        -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_dcd_cal_av.sv"                    -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_dcd_control_av.sv"                -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_dcd_av.sv"                 -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_dcd_cal_av.sv"             -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_dcd_control_av.sv"         -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_mif.sv"                           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_mif.sv"                    -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xcvr_reconfig_mif.sv"                            -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xcvr_reconfig_mif_ctrl.sv"                       -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xcvr_reconfig_mif_avmm.sv"                       -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xcvr_reconfig_mif.sv"                     -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xcvr_reconfig_mif_ctrl.sv"                -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xcvr_reconfig_mif_avmm.sv"                -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_pll.sv"                           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_pll.sv"                    -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xcvr_reconfig_pll.sv"                            -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xcvr_reconfig_pll_ctrl.sv"                       -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xcvr_reconfig_pll.sv"                     -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xcvr_reconfig_pll_ctrl.sv"                -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_soc.sv"                           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_ram.sv"                       -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_direct.sv"                        -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_arbiter_acq.sv"                                 -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_basic.sv"                         -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_arbiter_acq.sv"                          -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_reconfig_basic.sv"                  -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xrbasic_l2p_addr.sv"                             -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xrbasic_l2p_ch.sv"                               -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xrbasic_l2p_rom.sv"                              -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xrbasic_lif_csr.sv"                              -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xrbasic_lif.sv"                                  -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_xcvr_reconfig_basic.sv"                          -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xrbasic_l2p_addr.sv"                      -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xrbasic_l2p_ch.sv"                        -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xrbasic_l2p_rom.sv"                       -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xrbasic_lif_csr.sv"                       -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xrbasic_lif.sv"                           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_xcvr_reconfig_basic.sv"                   -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_arbiter.sv"                                -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_m2s.sv"                                    -work cv_reconfig
  vlog     "$QSYS_SIMDIR/alt_xcvr_reconfig/altera_wait_generate.v"                             -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_csr_selector.sv"                           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_arbiter.sv"                         -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_m2s.sv"                             -work cv_reconfig
  vlog     "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/altera_wait_generate.v"                      -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/alt_xcvr_csr_selector.sv"                    -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/sv_reconfig_bundle_to_basic.sv"                     -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/sv_reconfig_bundle_to_basic.sv"              -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_reconfig_bundle_to_basic.sv"                     -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/av_reconfig_bundle_to_xcvr.sv"                      -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_reconfig_bundle_to_basic.sv"              -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/mentor/av_reconfig_bundle_to_xcvr.sv"               -work cv_reconfig
  vlog     "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu.v"                            -work cv_reconfig
  vlog     "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_reconfig_cpu.v"               -work cv_reconfig
  vlog     "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_reconfig_cpu_test_bench.v"    -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/altera_merlin_master_translator.sv"                 -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/altera_merlin_slave_translator.sv"                  -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/altera_merlin_master_agent.sv"                      -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/altera_merlin_slave_agent.sv"                       -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/altera_merlin_burst_uncompressor.sv"                -work cv_reconfig
  vlog     "$QSYS_SIMDIR/alt_xcvr_reconfig/altera_avalon_sc_fifo.v"                            -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_addr_router.sv"               -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_addr_router_001.sv"           -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_id_router.sv"                 -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_id_router_001.sv"             -work cv_reconfig
  vlog     "$QSYS_SIMDIR/alt_xcvr_reconfig/altera_reset_controller.v"                          -work cv_reconfig
  vlog     "$QSYS_SIMDIR/alt_xcvr_reconfig/altera_reset_synchronizer.v"                        -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_cmd_xbar_demux.sv"            -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_cmd_xbar_demux_001.sv"        -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/altera_merlin_arbitrator.sv"                        -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_cmd_xbar_mux.sv"              -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_rsp_xbar_mux.sv"              -work cv_reconfig
  vlog -sv "$QSYS_SIMDIR/alt_xcvr_reconfig/alt_xcvr_reconfig_cpu_irq_mapper.sv"                -work cv_reconfig  

  #######################################
  # Compile reset controller simulation files
  puts "Start to compile reset controller files"

  echo "\[exec\] com"
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_reset_control/altera_xcvr_functions.sv"            -work work
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_reset_control/mentor/altera_xcvr_functions.sv"     -work work
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_reset_control/alt_xcvr_resync.sv"                  -work work
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_reset_control/mentor/alt_xcvr_resync.sv"           -work work
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_reset_control/altera_xcvr_reset_control.sv"        -work work
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_reset_control/alt_xcvr_reset_counter.sv"           -work work
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_reset_control/mentor/altera_xcvr_reset_control.sv" -work work
  eval  vlog -sv  "$QSYS_SIMDIR/altera_xcvr_reset_control/mentor/alt_xcvr_reset_counter.sv"    -work work


 # compile verilog files in current directory
  vlog -work work  *.v
}

# ----------------------------------------
# Elaborate top level design
alias elab {
  echo "\[exec\] elab"
  vsim -t ps -L work -L native0 -L altera_ver -L lpm_ver -L sgate_ver -L altera_mf_ver -L altera_lnsim_ver -L cyclonev_ver -L cyclonev_hssi_ver -L cyclonev_pcie_hip_ver -L reset_ctrl -L cv_reconfig $tb_name
}

# ----------------------------------------
# Elaborate the top level design with novopt option
alias elab_debug {
  echo "\[exec\] elab_debug"
  vsim -novopt -t ps -L work -L work_lib -L native0 -L altera_ver -L lpm_ver -L sgate_ver -L altera_mf_ver -L altera_lnsim_ver -L cyclonev_ver -L cyclonev_hssi_ver -L cyclonev_pcie_hip_ver -L reset_ctrl -L cv_reconfig $tb_name
}

#-------------------------------
# run simulation
alias simulate {

#    	puts "Run simulation"
#	vsim work.$tb_name
	do wave.do
	run -all

}

# ----------------------------------------
# Compile all the design files and elaborate the top level design
alias ld "
  dev_com
  com
  elab
"

# ----------------------------------------
# Compile all the design files and elaborate the top level design with -novopt
alias ld_debug "
  dev_com
  com
  elab_debug
"

# ----------------------------------------
# Print out user commmand line aliases
alias h {
  echo "List Of Command Line Aliases"
  echo
  echo "file_copy                     -- Copy ROM/RAM files to simulation directory"
  echo
  echo "dev_com                       -- Compile device library files"
  echo
  echo "com                           -- Compile the design files in correct order"
  echo
  echo "elab                          -- Elaborate top level design"
  echo
  echo "elab_debug                    -- Elaborate the top level design with novopt option"
  echo
  echo "ld                            -- Compile all the design files and elaborate the top level design"
  echo
  echo "ld_debug                      -- Compile all the design files and elaborate the top level design with -novopt"
  echo
  echo 
  echo
  echo "List Of Variables"
  echo
  echo "TOP_LEVEL_NAME                -- Top level module name."
  echo
  echo "SYSTEM_INSTANCE_NAME          -- Instantiated system module name inside top level module."
  echo
  echo "QSYS_SIMDIR                   -- Qsys base simulation directory."
  echo
  echo "QUARTUS_INSTALL_DIR           -- Quartus installation directory."
}
file_copy
h
